Summary:        Assistive technology for people with visual impairments
Name:           orca
Version:        43.0
Release:        7%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Orca
Source0:        https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  pkgconfig(atk-bridge-2.0) pkgconfig(atspi-2) pkgconfig(liblouis) pkgconfig(pygobject-3.0)
BuildRequires:  brlapi-devel brltty gettext intltool gtk3-devel itstool
BuildRequires:  python3-brlapi python3-devel python3-louis python3-pyatspi python3-speechd
BuildRequires:  /usr/bin/desktop-file-validate
Requires:       libwnck3 python3-brlapi python3-louis python3-pyatspi python3-speechd

BuildArch:      noarch

%description
Orca is a free, open source, flexible, and extensible screen reader that
provides access to the graphical desktop via speech and refreshable braille.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%configure
%make_build


%install
%make_install


%check
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/orca-autostart.desktop


%find_lang %{name} --with-gnome


%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/orca
%{python3_sitelib}/orca/
%{_datadir}/icons/hicolor/*/apps/orca.png
%{_datadir}/icons/hicolor/scalable/apps/orca.svg
%{_datadir}/icons/hicolor/symbolic/apps/orca-symbolic.svg
%{_datadir}/orca
%{_sysconfdir}/xdg/autostart/orca-autostart.desktop
%{_mandir}/man1/orca.1*


%changelog
* Wed Oct 25 2023 Shuo Wang <abushwang@tencent.com> - 43.0-7
- revert "use python3 instead of python by default."
- fix it in python3 main pkg

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-6
- Rebuilt for python 3.11

* Fri Sep 15 2023 cunshunxia <cunshunxia@tencent.com> - 43.0-5
- use python3 instead of python by default.

* Wed Sep 13 2023 cunshunxia <cunshunxia@tencent.com> - 43.0-4
- fix shebang error.

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 06 2023 Miaojun Dong <zoedong@tencent.com> - 43.0-1
- initial build
